###############################################################################
# Admin_Center_Update.pl                                                      #
###############################################################################
# Admin Center Update                                                         #
# Adds quite a few options to the Admin Center		          		            #
# Version:        Beta 1 (YaBB 2.0/2.1)                                       #
# Released:       January 16, 2006                                            #
# =========================================================================== #
# Written by Curtiss Grymala for the YaBB community                           #
###############################################################################
# Admin Center Update Admin Settings                                          #
###############################################################################

LoadLanguage("AdminCenter_Update");
if (-e "$vardir/acup_reg.txt") { require "$vardir/acup_reg.txt"; }
if (-e "$vardir/acup_prof.txt") { require "$vardir/acup_prof.txt"; }
if (-e "$vardir/acup_dim.txt") { require "$vardir/acup_dim.txt"; }

sub Modify_acup_reg_Settings {
	&is_admin_or_gmod;
$yymain .= qq~
<table cellpadding="5" cellspacing="2">
  <tr valign="top">
    <td class="titlebg" align="left" colspan="4">
	<form action="$adminurl?action=acup_reg_mod2" method="post">
      <img src="$imagesdir/xx.gif" alt="$acup_reg_txt{'19'}" border="0" />
      <b>$acup_reg_txt{'19'}</b>
	<br />$acup_reg_txt{'20'}
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'18'}
    </td>
    <td class="windowbg2" align="center">
    	$acup_reg_txt{'22'}
    </td>
    <td class="windowbg2" align="center">
      $acup_reg_txt{'23'}
    </td>
    <td class="windowbg2" align="center">
    	$acup_reg_txt{'24'} $acup_reg_txt{'22'}
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'1'}
    </td>
    <td class="windowbg3">
      <input type="radio" name="acup_reg1" value="1"~;
if($acup_reg1 == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg1" value="2"~;
if($acup_reg1 == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg1" value="0"~;
if($acup_reg1 == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'2'}
    </td>
    <td class="windowbg3" align="left">
      <input type="radio" name="acup_reg2" value="1"~;
if($acup_reg2 == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg2" value="2"~;
if($acup_reg2 == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg2" value="0"~;
if($acup_reg2 == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'3'}
    </td>
    <td class="windowbg3">
      <input type="radio" name="acup_reg3" value="1"~;
if($acup_reg3 == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg3" value="2"~;
if($acup_reg3 == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg3" value="0"~;
if($acup_reg3 == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'4'}
    </td>
    <td class="windowbg3" align="left">
      <input type="radio" name="acup_reg4" value="1"~;
if($acup_reg4 == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg4" value="2"~;
if($acup_reg4 == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg4" value="0"~;
if($acup_reg4 == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'5'}
    </td>
    <td class="windowbg3">
      <input type="radio" name="acup_reg5" value="1"~;
if($acup_reg5 == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg5" value="2"~;
if($acup_reg5 == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg5" value="0"~;
if($acup_reg5 == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'6'}
    </td>
    <td class="windowbg3" align="left">
      <input type="radio" name="acup_reg6" value="1"~;
if($acup_reg6 == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg6" value="2"~;
if($acup_reg6 == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg6" value="0"~;
if($acup_reg6 == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'7'}
    </td>
    <td class="windowbg3">
      <input type="radio" name="acup_reg7" value="1"~;
if($acup_reg7 == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg7" value="2"~;
if($acup_reg7 == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg7" value="0"~;
if($acup_reg7 == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'8'}
    </td>
    <td class="windowbg3" align="left">
      <input type="radio" name="acup_reg8" value="1"~;
if($acup_reg8 == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg8" value="2"~;
if($acup_reg8 == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg8" value="0"~;
if($acup_reg8 == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'9'}
    </td>
    <td class="windowbg3">
      <input type="radio" name="acup_reg9" value="1"~;
if($acup_reg9 == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg9" value="2"~;
if($acup_reg9 == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg9" value="0"~;
if($acup_reg9 == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'10a'}
    </td>
    <td class="windowbg3" align="left">
      <input type="radio" name="acup_reg10" value="1"~;
if($acup_reg10 == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg10" value="2"~;
if($acup_reg10 == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg10" value="0"~;
if($acup_reg10 == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'12'}
    </td>
    <td class="windowbg3" align="left">
      <input type="radio" name="acup_reg12" value="1"~;
if($acup_reg12 == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg12" value="2"~;
if($acup_reg12 == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg12" value="0"~;
if($acup_reg12 == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'13'}
    </td>
    <td class="windowbg3">
      <input type="radio" name="acup_reg13" value="1"~;
if($acup_reg13 == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg13" value="2"~;
if($acup_reg13 == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg13" value="0"~;
if($acup_reg13 == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'14a'}
    </td>
    <td class="windowbg3" align="left">
      <input type="radio" name="acup_reg14" value="1"~;
if($acup_reg14 == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg14" value="2"~;
if($acup_reg14 == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg14" value="0"~;
if($acup_reg14 == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'17'}
    </td>
    <td class="windowbg3" align="left">
      <input type="radio" name="acup_reg17" value="1"~;
if($acup_reg17 == 1) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg17" value="2"~;
if($acup_reg17 == 2) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="radio" name="acup_reg17" value="0"~;
if($acup_reg17 == 0) {
$yymain .= qq~ checked="checked"~;
}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg" align="right" colspan="2">
      <input type="submit" value="$acup_reg_txt{'21'}" name="acup_reg_Submit" />
      </form>
    </td>
  </tr>
</table>
~;

	$yytitle = "$acup_reg_txt{'19'}";
	$action_area = "acup_reg_mod";
	&AdminTemplate;
	exit;
}

sub Modify_acup_reg_Settings2 {
		$output = qq~###############################################################################
# acup_reg.txt                                			                        #
###############################################################################
# Admin Center Update                                                         #
# Variable Values For Registration Options												#
# Version:        Beta 1 (YaBB 2.0/2.1)                                       #
# Released:       January 16, 2006                                            #
# =========================================================================== #
# Written by Curtiss Grymala for the YaBB community                           #
###############################################################################
# Admin Center Update Registration Variable Values                            #
###############################################################################
# The items with values of 1 below will be shown on the registration page 		#
# Items with a value of 2 will be required.												#
# Items with a value of 0 will not be shown												#
###############################################################################

\$acup_reg1 = \'$FORM{'acup_reg1'}\'; # User's real name/display name
\$acup_reg2 = \'$FORM{'acup_reg2'}\'; # Gender
\$acup_reg3 = \'$FORM{'acup_reg3'}\'; # Birthday
\$acup_reg4 = \'$FORM{'acup_reg4'}\'; # Location
\$acup_reg5 = \'$FORM{'acup_reg5'}\'; # ICQ
\$acup_reg6 = \'$FORM{'acup_reg6'}\'; # AIM
\$acup_reg7 = \'$FORM{'acup_reg7'}\'; # YIM
\$acup_reg8 = \'$FORM{'acup_reg8'}\'; # MSN
\$acup_reg9 = \'$FORM{'acup_reg9'}\'; # Google Talk
\$acup_reg10 = \'$FORM{'acup_reg10'}\'; # Website Info
\$acup_reg12 = \'$FORM{'acup_reg12'}\'; # User Text
\$acup_reg13 = \'$FORM{'acup_reg13'}\'; # Signature
\$acup_reg14 = \'$FORM{'acup_reg14'}\'; # Time Settings
\$acup_reg17 = \'$FORM{'acup_reg17'}\'; # Template
~;

	$output .= q~
1;~;

fopen(ACUP_REGSETTINGS, ">$vardir/acup_reg.txt");
	print ACUP_REGSETTINGS $output;
	fclose(ACUP_REGSETTINGS);
 
 	$yySetLocation = qq~$adminurl~;
	&redirectexit;
} 

sub Modify_acup_prof_Settings  {
	&is_admin_or_gmod;
$yymain .= qq~
<table cellpadding="5" cellspacing="2">
  <tr valign="top">
    <td class="titlebg" align="left" colspan="3">
	<form action="$adminurl?action=acup_prof_mod2" method="post">
      <img src="$imagesdir/xx.gif" alt="$acup_reg_txt{'19'}" border="0" />
      <b>$acup_reg_txt{'19'}</b>
	<br />$acup_prof_txt{'1'}
    </td>
  </tr>
  <tr valign="top">
    <td>
    </td>
    <td class="windowbg2" align="left">
      $acup_prof_txt{'2'}
    </td>
    <td class="windowbg2" align="center">
    	$acup_prof_txt{'3'}
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_reg_txt{'4'}
    </td>
    <td class="windowbg3">
      <input type="checkbox" name="acup_prof1" value="1"~;
	if($acup_prof1 == 1) {
		$yymain .= qq~ checked="checked"~;
	}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="textbox" name="acup_prof_val1"~;
	if($acup_prof_val1) {
		$yymain .= qq~ value="$acup_prof_val1"~;
	}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
  	<td class="windowbg2" align="left">
  		$acup_prof_txt{'4'}
  	</td>
  	<td class="windowbg3">
  		<input type="checkbox" name="acup_prof2" value="1"~;
  	if($acup_prof2 == 1) {
  		$yymain .= qq~ checked="checked"~;
  	}
  	if($acup_prof_val2 == 1) {
  		$acup_check0 = "";
  		$acup_check1 = qq~ selected="selected"~;
  	}
  	else {
  		$acup_check0 = qq~ selected="selected"~;
  		$acup_check1 = "";
  	}
  $yymain .= qq~ />
    </td>
    <td class="windowbg3">
    	<select name="acup_prof_val2">
    		<option value="1"$acup_check1>$acup_prof_txt{'9'}</option>
    		<option value="0"$acup_check0>$acup_prof_txt{'10'}</option>
    	</select>
    </td>
  </tr> 
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_prof_txt{'5'}
    </td>
    <td class="windowbg3">
      <input type="checkbox" name="acup_prof3" value="1"~;
	if($acup_prof3 == 1) {
		$yymain .= qq~ checked="checked"~;
	}
$yymain .= qq~ />
    </td>
    <td class="windowbg3" align="center">
    	<input type="textbox" name="acup_prof_val3"~;
	if($acup_prof_val3) {
		$yymain .= qq~ value="$acup_prof_val3"~;
	}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
  	<td class="windowbg2" align="left">
  		$acup_prof_txt{'6'}
  	</td>
  	<td class="windowbg3">
  		<input type="checkbox" name="acup_prof4" value="1"~;
  	if($acup_prof4 == 1) {
  		$yymain .= qq~ checked="checked"~;
  	}
  	if($acup_prof_val4 == 1) {
  		$acup_check0 = "";
  		$acup_check1 = qq~ selected="selected"~;
  	}
  	else {
  		$acup_check0 = qq~ selected="selected"~;
  		$acup_check1 = "";
  	}
  $yymain .= qq~ />
    </td>
    <td class="windowbg3">
    	<select name="acup_prof_val4">
    		<option value="1"$acup_check1>$acup_prof_txt{'9'}</option>
    		<option value="0"$acup_check0>$acup_prof_txt{'10'}</option>
    	</select>
    </td>
  </tr>
  <tr valign="top">
  	<td class="windowbg2" align="left">
  		$acup_prof_txt{'7'}
  	</td>
  	<td class="windowbg3">
  		<input type="checkbox" name="acup_prof5" value="1"~;
  	if($acup_prof5 == 1) {
  		$yymain .= qq~ checked="checked"~;
  	}
  	if($acup_prof_val5 == 1) {
  		$acup_check0 = "";
  		$acup_check1 = qq~ selected="selected"~;
  	}
  	else {
  		$acup_check0 = qq~ selected="selected"~;
  		$acup_check1 = "";
  	}
  $yymain .= qq~ />
    </td>
    <td class="windowbg3">
    	<select name="acup_prof_val5">
    		<option value="1"$acup_check1>$acup_prof_txt{'9'}</option>
    		<option value="0"$acup_check0>$acup_prof_txt{'10'}</option>
    	</select>
    </td>
  </tr>
  <tr valign="top">
  	<td class="windowbg2" align="left">
  		$acup_prof_txt{'8'}
  	</td>
  	<td class="windowbg3">
  		<input type="checkbox" name="acup_prof6" value="1"~;
  	if($acup_prof6 == 1) {
  		$yymain .= qq~ checked="checked"~;
  	}
  	if($acup_prof_val6 == 1) {
  		$acup_check0 = "";
  		$acup_check1 = qq~ selected="selected"~;
  	}
  	else {
  		$acup_check0 = qq~ selected="selected"~;
  		$acup_check1 = "";
  	}
  $yymain .= qq~ />
    </td>
    <td class="windowbg3">
    	<select name="acup_prof_val6">
    		<option value="1"$acup_check1>$acup_prof_txt{'9'}</option>
    		<option value="0"$acup_check0>$acup_prof_txt{'10'}</option>
    	</select>
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg" align="right" colspan="2">
      <input type="submit" value="$acup_reg_txt{'21'}" name="acup_prof_Submit" />
      </form>
    </td>
  </tr>
</table>~;
	$yytitle = "$acup_reg_txt{'19'}";
	$action_area = "acup_prof_mod";
	&AdminTemplate;
	exit;
}

sub Modify_acup_prof_Settings2 {
		$output = qq~###############################################################################
# acup_prof.txt                                			                        #
###############################################################################
# Admin Center Update                                                         #
# Variables For Default Profile Values														#
# Version:        Beta 1 (YaBB 2.0/2.1)                                       #
# Released:       January 16, 2006                                            #
# =========================================================================== #
# Written by Curtiss Grymala for the YaBB community                           #
###############################################################################
# Admin Center Update Default Profile Values			                           #
###############################################################################
# The items with values of 1 below will use the default set in the next 		#
# section below.																					#
###############################################################################

\$acup_prof1 = \'$FORM{'acup_prof1'}\'; # Location
\$acup_prof2 = \'$FORM{'acup_prof2'}\'; # Hide Email
\$acup_prof3 = \'$FORM{'acup_prof3'}\'; # User Pic
\$acup_prof4 = \'$FORM{'acup_prof4'}\'; # PM Notification
\$acup_prof5 = \'$FORM{'acup_prof5'}\'; # PM Popup Shows In New Window
\$acup_prof6 = \'$FORM{'acup_prof6'}\'; # Enable PM Popup

\$acup_prof_val1 = \'$FORM{'acup_prof_val1'}\'; # Default Location
\$acup_prof_val2 = \'$FORM{'acup_prof_val2'}\'; # Default Value for Hide Email
\$acup_prof_val3 = \'$FORM{'acup_prof_val3'}\'; # Default User Pic
\$acup_prof_val4 = \'$FORM{'acup_prof_val4'}\'; # Default Value for PM Email Notify
\$acup_prof_val5 = \'$FORM{'acup_prof_val5'}\'; # Default Value for PM Popup Shows PMs In New Win
\$acup_prof_val6 = \'$FORM{'acup_prof_val6'}\'; # Default Value for Enable PM Popup
~;

	$output .= q~
1;~;

fopen(ACUP_PROFSETTINGS, ">$vardir/acup_prof.txt");
	print ACUP_PROFSETTINGS $output;
	fclose(ACUP_PROFSETTINGS);
 
 	$yySetLocation = qq~$adminurl~;
	&redirectexit;
}

sub Modify_acup_dim_Settings {
	&is_admin_or_gmod;
$yymain .= qq~
<table cellpadding="5" cellspacing="2">
  <tr valign="top">
    <td class="titlebg" align="left" colspan="2">
	<form action="$adminurl?action=acup_dim_mod2" method="post">
      <img src="$imagesdir/xx.gif" alt="$acup_reg_txt{'19'}" border="0" />
      <b>$acup_reg_txt{'19'}</b>
	<br />$acup_dim_txt{'1'}
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_dim_txt{'2'}
    </td>
    <td class="windowbg3">~;
if($acup_dim_val1 == 1) {
	$acup_check0 = "";
	$acup_check1 = qq~ selected="selected"~;
}
else {
	$acup_check1 = "";
	$acup_check0 = qq~ selected="selected"~;
}
$yymain .= qq~
      <select name="acup_dim_val1">
      	<option value="1"$acup_check1>$acup_prof_txt{'9'}</option>
      	<option value="0"$acup_check0>$acup_prof_txt{'10'}</option>
      </select>
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_dim_txt{'3'}
    </td>
    <td class="windowbg3">
      <input type="textbox" name="acup_dim_val2"~;
	if($acup_dim_val2) {
		$yymain .= qq~ value="$acup_dim_val2"~;
	}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_dim_txt{'4'}
    </td>
    <td class="windowbg3">
      <input type="textbox" name="message_width"~;
	if($message_width) {
		$yymain .= qq~ value="$message_width"~;
	}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_dim_txt{'5'}
    </td>
    <td class="windowbg3">
      <input type="textbox" name="message_height"~;
	if($message_height) {
		$yymain .= qq~ value="$message_height"~;
	}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_dim_txt{'6'}
    </td>
    <td class="windowbg3">
      <input type="textbox" name="recent_post_val"~;
	if($recent_post_val) {
		$yymain .= qq~ value="$recent_post_val"~;
	}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg2" align="left">
      $acup_dim_txt{'8'}
    </td>
    <td class="windowbg3">
      <input type="textbox" name="button_area_width"~;
	if($button_area_width) {
		$yymain .= qq~ value="$button_area_width"~;
	}
$yymain .= qq~ />
    </td>
  </tr>
  <tr valign="top">
    <td class="windowbg" align="right" colspan="2">
      <input type="submit" value="$acup_reg_txt{'21'}" name="acup_dim_Submit" />
      </form>
    </td>
  </tr>
</table>~;
	$yytitle = "$acup_reg_txt{'19'}";
	$action_area = "acup_dim_mod";
	&AdminTemplate;
	exit;
}

sub Modify_acup_dim_Settings2 {
		$output = qq~###############################################################################
# acup_dim.txt                                			                        #
###############################################################################
# Admin Center Update                                                         #
# Various Width/Height Dimensions, etc.													#
# Version:        Beta 1 (YaBB 2.0/2.1)                                       #
# Released:       January 16, 2006                                            #
# =========================================================================== #
# Written by Curtiss Grymala for the YaBB community                           #
###############################################################################
# Admin Center Update Various Dimension Definitions                           #
###############################################################################

\$acup_dim_val1 = \'$FORM{'acup_dim_val1'}\'; # Restrict Height of Sig Block
\$acup_dim_val2 = \'$FORM{'acup_dim_val2'}\'; # Max-Height of Sig Block
\$message_width = \'$FORM{'message_width'}\'; # Width (in pixels) of Message Posting Area
\$message_height = \'$FORM{'message_height'}\'; # Height of Message Posting Area
\$recent_post_val = \'$FORM{'recent_post_val'}\'; # Number of recent posts to show
\$button_area_width = \'$FORM{'button_area_width'}\'; # Width of the yabbc button area on Post page

~;

	$output .= q~
1;~;

fopen(ACUP_DIMSETTINGS, ">$vardir/acup_dim.txt");
	print ACUP_DIMSETTINGS $output;
	fclose(ACUP_DIMSETTINGS);
 
 	$yySetLocation = qq~$adminurl~;
	&redirectexit;

}

1;